from abc import abstractmethod

from gui import Layer


class TextLayer(Layer):

    PLAIN = 0
    BOLD = 1
    ITALIC = 2
    UNDERLINE = 4
    SHADOW = 8
    OUTLINE = 16

    @abstractmethod
    def setShadowColor(self, color: (int, int, int)):
        raise NotImplementedError()

    @abstractmethod
    def setOutlineColor(self, color: (int, int, int)):
        raise NotImplementedError()

    @abstractmethod
    def setFont(self, fontName: str, tileHeight: int, color: (int, int, int), style: int):
        raise NotImplementedError()

    @abstractmethod
    def setMaxCharacterCount(self, maxCount: int):
        raise NotImplementedError()

    @abstractmethod
    def setText(self, x: float, y: float, content: str):
        raise NotImplementedError()
